ModifyPrivateZoneRecord

1. API Description

This API (ModifyPrivateZoneRecord) is used to Modify the DNS record of a DNS Zone.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneId

Yes

String

DNS Zone ID.

recordId

Yes

String

ID of the DNS record to be modified.

value

Yes

String

DNS record value.

weight

No

Integer

DNS record weight.

Only A or AAAA supported.

Value range: [1, 100]

Default value: 1

ttl

No

Integer

Domain local cache time.

Unit: seconds, default value: 60, optional value: 5-86400 (one day).

Value range: [5, 86400]

Default value: 60

priority

No

Integer

Priority of MX record.

The smaller the value, the higher the priority. Default value: 1.

Value range: [1, 99]

remark

No

String

Note information.

The length is up to 255 characters.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Modify the DNS record of a DNS Zone.

POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyPrivateZoneRecord
<Common Request Params>

Request:
{
  "zoneId": "<zoneId>",
  "recordId": "<recordId>",
  "value": "test.com",
  "weight": 100,
  "ttl": 10,
  "remark": "Test"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_PRIVATE_ZONE_RECORD_NOT_FOUND

The DNS record does not exist.

400

INVALID_RECORD_VALUE

Invalid record value.

409

INVALID_RECORD_VALUE_CONFLICT

Record value conflict.

Last updated